picard.analysis

## Class CollectWgsMetricsFromQuerySorted

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.CollectWgsMetricsFromQuerySorted

- Deprecated.

      @Deprecated
      public class CollectWgsMetricsFromQuerySorted
      extends CommandLineProgram

  Computes a number of metrics that are useful for evaluating coverage and performance of sequencing experiments. This tool is deprecated; please use CollectWgsMetrics instead.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CollectWgsMetricsFromQuerySorted.FILTERING_STRINGENCY` Deprecated. the various metrics types
    `static class` | `CollectWgsMetricsFromQuerySorted.QuerySortedSeqMetrics` Deprecated. Metrics for evaluating the performance of whole genome sequencing experiments.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Long` | `GENOME_TERRITORY` Deprecated.
    `File` | `INPUT` Deprecated.
    `int` | `MINIMUM_RAW_BASE_QUALITY` Deprecated.
    `int` | `MINIMUM_RAW_MAPPING_QUALITY` Deprecated.
    `int` | `MINIMUM_USABLE_BASE_QUALITY` Deprecated.
    `int` | `MINIMUM_USABLE_MAPPING_QUALITY` Deprecated.
    `File` | `OUTPUT` Deprecated.

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectWgsMetricsFromQuerySorted()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Deprecated. Do the work after command line has been parsed.
    `static void` | `main(String[] args)` Deprecated.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(shortName="I",
                  doc="Input SAM or BAM file.")
          public File INPUT

      Deprecated.

    - #### OUTPUT

          @Option(shortName="O",
                  doc="Output metrics file.")
          public File OUTPUT

      Deprecated.

    - #### MINIMUM_USABLE_MAPPING_QUALITY

          @Option(shortName="USABLE_MQ",
                  doc="Minimum mapping quality for a read to contribute to usable coverage.",
                  overridable=true,
                  optional=true)
          public int MINIMUM_USABLE_MAPPING_QUALITY

      Deprecated.

    - #### MINIMUM_USABLE_BASE_QUALITY

          @Option(shortName="USABLE_Q",
                  doc="Minimum base quality for a base to contribute to usable coverage.",
                  overridable=true,
                  optional=true)
          public int MINIMUM_USABLE_BASE_QUALITY

      Deprecated.

    - #### MINIMUM_RAW_MAPPING_QUALITY

          @Option(shortName="RAW_MQ",
                  doc="Minimum mapping quality for a read to contribute to raw coverage.",
                  overridable=true,
                  optional=true)
          public int MINIMUM_RAW_MAPPING_QUALITY

      Deprecated.

    - #### MINIMUM_RAW_BASE_QUALITY

          @Option(shortName="RAW_Q",
                  doc="Minimum base quality for a base to contribute to raw coverage.",
                  overridable=true,
                  optional=true)
          public int MINIMUM_RAW_BASE_QUALITY

      Deprecated.

    - #### GENOME_TERRITORY

          @Option(doc="The number of bases in the genome build of the input file to be used for calculating MEAN_COVERAGE. If not provided, we will assume that ALL bases in the genome should be used (including e.g. Ns)",
                  overridable=true,
                  optional=true)
          public Long GENOME_TERRITORY

      Deprecated.

  - ### Constructor Detail

    - #### CollectWgsMetricsFromQuerySorted

          public CollectWgsMetricsFromQuerySorted()

      Deprecated.

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Deprecated.

    - #### doWork

          protected int doWork()

      Deprecated.
      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.